org.hibernate.search.elasticsearch.schema.impl

## Class Elasticsearch50SchemaTranslator

- java.lang.Object
- - org.hibernate.search.elasticsearch.schema.impl.Elasticsearch2SchemaTranslator
  - - org.hibernate.search.elasticsearch.schema.impl.Elasticsearch50SchemaTranslator

- All Implemented Interfaces:
    ElasticsearchSchemaTranslator
  Direct Known Subclasses:
    Elasticsearch52SchemaTranslator

      public class Elasticsearch50SchemaTranslator
      extends Elasticsearch2SchemaTranslator

  An `ElasticsearchSchemaTranslator` implementation for Elasticsearch 5.0/5.1.
  Author:
    Yoann Rodiere

- - ### Property Summary

    All Methods Instance Methods Concrete Methods
    Type | Property and Description
    --- | ---
    `protected PropertyMapping` | `generateTenantId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Elasticsearch50SchemaTranslator()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `addAnalyzerOptions(PropertyMapping propertyMapping, org.hibernate.search.elasticsearch.schema.impl.ElasticsearchMappingBuilder mappingBuilder, ElasticsearchIndexSettingsBuilder settingsBuilder, String propertyPath, Field.Index index, AnalyzerReference analyzerReference)`
    `protected void` | `addIndexOptions(PropertyMapping propertyMapping, org.hibernate.search.elasticsearch.schema.impl.ElasticsearchMappingBuilder mappingBuilder, ElasticsearchIndexSettingsBuilder settingsBuilder, PropertyMetadata sourceProperty, String propertyPath, Field.Index index, AnalyzerReference analyzerReference)`
    `protected void` | `addSubfieldIndexOptions(PropertyMapping fieldMapping, FacetMetadata facetMetadata)`
    `protected PropertyMapping` | `generateTenantIdProperty()`
    `protected DataType` | `getStringType(String propertyPath, Field.Index index, AnalyzerReference analyzerReference)`
    `boolean` | `isTextDataType(PartialDocumentFieldMetadata fieldMetadata)`

    - ### Methods inherited from class org.hibernate.search.elasticsearch.schema.impl.Elasticsearch2SchemaTranslator

      `translate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Property Detail

    - #### generateTenantId

          protected PropertyMapping generateTenantIdProperty

      Overrides:
        `generateTenantIdProperty` in class `Elasticsearch2SchemaTranslator`

  - ### Constructor Detail

    - #### Elasticsearch50SchemaTranslator

          public Elasticsearch50SchemaTranslator()

  - ### Method Detail

    - #### isTextDataType

          public boolean isTextDataType(PartialDocumentFieldMetadata fieldMetadata)

      Specified by:
        `isTextDataType` in interface `ElasticsearchSchemaTranslator`
      Overrides:
        `isTextDataType` in class `Elasticsearch2SchemaTranslator`
      Parameters:
        `fieldMetadata` - Metadata to inspect
      Returns:
        `true` if the given field will have the "text" datatype on Elasticsearch, `false` otherwise.

    - #### generateTenantIdProperty

          protected PropertyMapping generateTenantIdProperty()

      Overrides:
        `generateTenantIdProperty` in class `Elasticsearch2SchemaTranslator`

    - #### addSubfieldIndexOptions

          protected void addSubfieldIndexOptions(PropertyMapping fieldMapping,
                                                 FacetMetadata facetMetadata)

      Overrides:
        `addSubfieldIndexOptions` in class `Elasticsearch2SchemaTranslator`

    - #### addIndexOptions

          protected void addIndexOptions(PropertyMapping propertyMapping,
                                         org.hibernate.search.elasticsearch.schema.impl.ElasticsearchMappingBuilder mappingBuilder,
                                         ElasticsearchIndexSettingsBuilder settingsBuilder,
                                         PropertyMetadata sourceProperty,
                                         String propertyPath,
                                         Field.Index index,
                                         AnalyzerReference analyzerReference)

      Overrides:
        `addIndexOptions` in class `Elasticsearch2SchemaTranslator`

    - #### addAnalyzerOptions

          protected void addAnalyzerOptions(PropertyMapping propertyMapping,
                                            org.hibernate.search.elasticsearch.schema.impl.ElasticsearchMappingBuilder mappingBuilder,
                                            ElasticsearchIndexSettingsBuilder settingsBuilder,
                                            String propertyPath,
                                            Field.Index index,
                                            AnalyzerReference analyzerReference)

    - #### getStringType

          protected DataType getStringType(String propertyPath,
                                           Field.Index index,
                                           AnalyzerReference analyzerReference)

      Overrides:
        `getStringType` in class `Elasticsearch2SchemaTranslator`

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved